package com.iflytek.cloud.util.contacts.entities;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 联系人条目信息类，保存一一对应的联系人姓名，号码等信息
 * @author weiwei
 *
 */
public class ContactItem implements Parcelable {

    private String mContactId = null;
    
    private String mContactName = null;

    private String mPhoneId = null;

    private String mPhoneNumber = null;
    
    private String mSimMode = null;
    
    private String mDate = null;
    
    private String mNumberType = null;
    
    public ContactItem() {
    }
    
    public ContactItem(String contactId, String contactName, String phoneId, String phoneNum, String mode, String type) {
        mContactId = contactId;
        mContactName = contactName;
        mPhoneId = phoneId;
        mPhoneNumber = phoneNum;
        mSimMode = mode;
        mNumberType = type;
    }
    
    public String getNumberType() {
        return mNumberType;
    }

    public void setNumberType(String numberType) {
        this.mNumberType = numberType;
    }

    public void setDate(String date) {
        mDate = date;
    }
    
    public String getDate() {
        return mDate;
    }

    public String getContactId() {
        return mContactId;
    }

    public void setContactId(String contactId) {
        this.mContactId = contactId;
    }

    public String getContactName() {
        return mContactName;
    }

    public void setContactName(String contactName) {
        this.mContactName = contactName;
    }

    public String getPhoneId() {
        return mPhoneId;
    }

    public void setPhoneId(String phoneId) {
        this.mPhoneId = phoneId;
    }

    public String getPhoneNumber() {
        return mPhoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.mPhoneNumber = phoneNumber;
    }
    
    public String getSimMode() {
        return mSimMode;
    }
    
    public void setSimMode(String mode) {
        this.mSimMode = mode;
    }

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(mContactId);
		dest.writeString(mContactName);
		dest.writeString(mPhoneId);
		dest.writeString(mPhoneNumber);
		dest.writeString(mSimMode);
		dest.writeString(mDate);
		dest.writeString(mNumberType);
	}
	
	public static final Parcelable.Creator<ContactItem> CREATOR = new Parcelable.Creator<ContactItem>() {

		public ContactItem createFromParcel(Parcel in) {
			ContactItem contactItem = new ContactItem();
			contactItem.mContactId = in.readString();
			contactItem.mContactName = in.readString();
			contactItem.mPhoneId = in.readString();
			contactItem.mPhoneNumber = in.readString();
			contactItem.mSimMode = in.readString();
			contactItem.mDate = in.readString();
			contactItem.mNumberType = in.readString();
	        return contactItem;
	    }
	
	    public ContactItem[] newArray(int size) {
	        return new ContactItem[size];
	    }
	};
}

